package project.chat.controller;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;

import javax.faces.context.FacesContext;
import javax.faces.model.SelectItem;

public class LocaleController {
	private Locale locale;
	private List<SelectItem> localesList;

	public LocaleController() {
		this.locale = FacesContext.getCurrentInstance().getApplication()
				.getDefaultLocale();
		Iterator<Locale> localesIterator = FacesContext.getCurrentInstance()
				.getApplication().getSupportedLocales();
		this.localesList = new ArrayList<SelectItem>();
		localesList.add(new SelectItem(locale, locale.getDisplayName()));
		while (localesIterator.hasNext()) {
			Locale locale = (Locale) localesIterator.next();
			localesList.add(new SelectItem(locale, locale.getDisplayName()));
		}
	}

	public List<SelectItem> getLocalesList() {
		return localesList;
	}

	public void setLocale(Locale locale) {
		System.out.println("Locale name" + locale.getDisplayName());
		this.locale = locale;
	}

	public Locale getLocale() {
		return locale;
	}
}
