package project.chat.converters;

import java.io.Serializable;
import java.util.Locale;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.ConverterException;

public class LocaleConverter implements Serializable, Converter {
	/**
	 * 
	 */
	private static final long serialVersionUID = -4127938475573644190L;

	public LocaleConverter() {

	}

	public Object getAsObject(FacesContext facesContext, UIComponent component,
			String value) throws ConverterException {
		String[] langAndCountry = value.split("_");
		if (langAndCountry.length == 1) {
			return new Locale(langAndCountry[0]);
		} else if (langAndCountry.length == 2) {
			return new Locale(langAndCountry[0], langAndCountry[1]);
		} else {
			throw new ConverterException("Cannot convert the locale " + value);
		}
	}

	public String getAsString(FacesContext facesContext, UIComponent component,
			Object value) throws ConverterException {
		if (value instanceof Locale) {
			return value.toString();
		}
		return null;
	}
}
